## pvr-omap4 1.7.10.0.1.21

=== sgx/eurasiacon/build/linux2/omap4430_linux/Makefile ===
#
# Copyright (C) Imagination Technologies Ltd. All rights reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
# 
# This program is distributed in the hope it will be useful but, except 
# as otherwise stated in writing, without any warranty; without even the 
# implied warranty of merchantability or fitness for a particular purpose. 
# See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
# 
# The full GNU General Public License is included in this distribution in
# the file called "COPYING".
#
# Contact Information:
# Imagination Technologies Ltd. <gpl-support@imgtec.com>
# Home Park Estate, Kings Langley, Herts, WD4 8LZ, UK 
# 
#

PVR_SYSTEM		:= omap4

KERNEL_COMPONENTS := srvkm

# Confirm kernel version with KERNELDIR if supplied, otherwise assume
# a 2.6.35+ kernel.
ifneq ($(KERNELDIR),)
include ../kernel_version.mk
OMAP_KERNEL_AT_LEAST_2_6_35 := $(shell test $(KERNEL_VERSION) -ge 3 || \
			test $(KERNEL_VERSION) -ge 2 -a \
			$(KERNEL_PATCHLEVEL) -ge 6 -a \
			$(KERNEL_SUBLEVEL) -ge 35 && echo 1 || echo 0)
else
OMAP_KERNEL_AT_LEAST_2_6_35 := 1
endif

include ../common/xorg_test.mk

ifeq ($(want_xorg),1)
SUPPORT_DRI_DRM := 1
SUPPORT_DRI_DRM_EXTERNAL := 1
SUPPORT_BC_EXAMPLE ?= 0
else
SUPPORT_BC_EXAMPLE ?= 1
endif

# Only enable active power management if passive power management is
# enabled, as indicated by LDM_PLATFORM being set to 1.  On OMAP,
# the system can suspend in the case where active power management is
# enabled in the SGX driver, but passive power management isn't. As
# passive power management isn't enabled, the driver won't see the
# system suspend/resume events, and so won't take appropriate action.
LDM_PLATFORM ?= 1

ifeq ($(LDM_PLATFORM),1)
SUPPORT_LINUX_USING_WORKQUEUES := 1
DISPLAY_CONTROLLER_COMPONENT += dc_omapdrm_linux
DISPLAY_CONTROLLER := omaplfb
else
SUPPORT_LINUX_USING_SHARED_WORKQUEUES := 1
OMAP_NON_FLIP_DISPLAY := 1
DISPLAY_CONTROLLER_COMPONENT += linux_framebuffer
DISPLAY_CONTROLLER := pvrlfb
endif

# When flipping is enabled, the Framebuffer API will be used to
# present the frames to the display in the 3PDD
FLIP_TECHNIQUE_FRAMEBUFFER := 1

OPTIM := -Os

SYS_CFLAGS := -march=armv7-a

ifneq ($(CROSS_COMPILE),)
SYS_CFLAGS += -mtls-dialect=arm
endif

SUPPORT_OMAP4430_NEON ?= 1

ifeq ($(SUPPORT_OMAP4430_NEON),1)
SYS_CFLAGS += -ftree-vectorize -mfpu=neon -mfloat-abi=hard
endif

PVR_NO_FULL_CACHE_OPS := 0

LIBGCC := $(shell $(CROSS_COMPILE)gcc -print-libgcc-file-name)

SGXCORE := 540
SGX_CORE_REV := 120

SGX_DYNAMIC_TIMING_INFO := 1
SYS_CUSTOM_POWERLOCK_WRAP := 1

ifeq ($(OMAP_KERNEL_AT_LEAST_2_6_35),1)
ifeq ($(LDM_PLATFORM),1)
PVR_LDM_PLATFORM_PRE_REGISTERED := 1
endif
endif

BUILD_OPENCL ?= 0
ifneq ($(BUILD_OPENCL),1)
EXCLUDED_APIS += opencl
endif

ifeq ($(want_xorg),1)

ifeq ($(OMAP_KERNEL_AT_LEAST_2_6_35),1)
PVR_DRI_DRM_PLATFORM_DEV := 1
else
PVR_DRI_DRM_NOT_PCI := 1
endif

XORG_PREFIX := /usr
XORG_TOOLCHAIN := extern
XORG_PVR_CONF := omap4
XORG_PVR_VIDEO := omap4
XF86_VIDEO ?= ti-pvr_video

OPK_DEFAULT := libpvrPVR2D_DRIWSEGL.so
OPK_FALLBACK := libpvrPVR2D_DRIWSEGL.so

ifneq ($(OMAP_NON_FLIP_DISPLAY),1)
XORG_PVR_VIDEO ?= $(PVR_SYSTEM)
PVR_DISPLAY_CONTROLLER_DRM_IOCTL := 1
endif

else  # xorg isn't excluded

ifeq ($(OMAP_NON_FLIP_DISPLAY),1)
OPK_DEFAULT := libpvrPVR2D_BLITWSEGL.so
else
OPK_DEFAULT := libpvrPVR2D_FLIPWSEGL.so
endif
OPK_FALLBACK := libpvrPVR2D_BLITWSEGL.so

endif # xorg isn't excluded

ifeq ($(SUPPORT_DRI_DRM),1)
ifeq ($(PVR_DRI_DRM_NOT_PCI),1)
KERNEL_COMPONENTS += linux_drm
EXTRA_KBUILD_SOURCE := $(KERNELDIR)
endif
EXTRA_PVRSRVKM_COMPONENTS += $(DISPLAY_CONTROLLER_COMPONENT)
else
KERNEL_COMPONENTS += $(DISPLAY_CONTROLLER_COMPONENT)
endif

SUPPORT_V4L2_GFX ?= 0

SUPPORT_MEMINFO_IDS ?= 1

SUPPORT_MESA_SONAME ?= 1

ifeq ($(SUPPORT_V4L2_GFX),1)
KERNEL_COMPONENTS += v4l2-gfx
endif

ifeq ($(SUPPORT_BC_EXAMPLE),1)
KERNEL_COMPONENTS += bufferclass_example
endif

PVRSRV_MODNAME := omapdrm_pvr

PVRSRV_BUSID := platform:omapdrm:00

include ../config/core.mk
include ../common/xorg.mk
include ../common/dridrm.mk
include ../common/opencl.mk
include ../common/omap4.mk

# We only need this for pvr_video's includes, which should
# really be done differently, as DISPLAY_CONTROLLER_DIR is
# now obsolete..
#
$(eval $(call UserConfigMake,DISPLAY_CONTROLLER_DIR,3rdparty/$(DISPLAY_CONTROLLER_COMPONENT)))

## pvr-omap4 1.9.0.5.1.1

=== sgx/eurasiacon/build/linux2/omap4430_linux/Makefile ===
--- 
+++ 
@@ -1,27 +1,43 @@
-#
-# Copyright (C) Imagination Technologies Ltd. All rights reserved.
-# 
-# This program is free software; you can redistribute it and/or modify it
-# under the terms and conditions of the GNU General Public License,
-# version 2, as published by the Free Software Foundation.
-# 
-# This program is distributed in the hope it will be useful but, except 
-# as otherwise stated in writing, without any warranty; without even the 
-# implied warranty of merchantability or fitness for a particular purpose. 
-# See the GNU General Public License for more details.
-# 
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc.,
-# 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
-# 
-# The full GNU General Public License is included in this distribution in
-# the file called "COPYING".
-#
-# Contact Information:
-# Imagination Technologies Ltd. <gpl-support@imgtec.com>
-# Home Park Estate, Kings Langley, Herts, WD4 8LZ, UK 
-# 
-#
+########################################################################### ###
+#@Title         Root makefile for OMAP4430 Linux.  Builds everything else.
+#@Copyright     Copyright (c) Imagination Technologies Ltd. All Rights Reserved
+#@License       Dual MIT/GPLv2
+# 
+# The contents of this file are subject to the MIT license as set out below.
+# 
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+# 
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
+# 
+# Alternatively, the contents of this file may be used under the terms of
+# the GNU General Public License Version 2 ("GPL") in which case the provisions
+# of GPL are applicable instead of those above.
+# 
+# If you wish to allow use of your version of this file only under the terms of
+# GPL, and not to allow others to use your version of this file under the terms
+# of the MIT license, indicate your decision by deleting the provisions above
+# and replace them with the notice and other provisions required by GPL as set
+# out in the file called "GPL-COPYING" included in this distribution. If you do
+# not delete the provisions above, a recipient may use your version of this file
+# under the terms of either the MIT license or GPL.
+# 
+# This License is also included in this distribution in the file called
+# "MIT-COPYING".
+# 
+# EXCEPT AS OTHERWISE STATED IN A NEGOTIATED AGREEMENT: (A) THE SOFTWARE IS
+# PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
+# BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
+# PURPOSE AND NONINFRINGEMENT; AND (B) IN NO EVENT SHALL THE AUTHORS OR
+# COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
+# IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+# CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+### ###########################################################################
 
 PVR_SYSTEM		:= omap4
 
@@ -59,8 +75,8 @@
 
 ifeq ($(LDM_PLATFORM),1)
 SUPPORT_LINUX_USING_WORKQUEUES := 1
-DISPLAY_CONTROLLER_COMPONENT += dc_omapdrm_linux
-DISPLAY_CONTROLLER := omaplfb
+#DISPLAY_CONTROLLER_COMPONENT += dc_omapdrm_linux
+#DISPLAY_CONTROLLER := omaplfb
 else
 SUPPORT_LINUX_USING_SHARED_WORKQUEUES := 1
 OMAP_NON_FLIP_DISPLAY := 1
@@ -86,7 +102,7 @@
 SYS_CFLAGS += -ftree-vectorize -mfpu=neon -mfloat-abi=hard
 endif
 
-PVR_NO_FULL_CACHE_OPS := 0
+PVR_NO_FULL_CACHE_OPS := 1
 
 LIBGCC := $(shell $(CROSS_COMPILE)gcc -print-libgcc-file-name)
 
@@ -99,6 +115,24 @@
 ifeq ($(OMAP_KERNEL_AT_LEAST_2_6_35),1)
 ifeq ($(LDM_PLATFORM),1)
 PVR_LDM_PLATFORM_PRE_REGISTERED := 1
+ifeq ($(call kernel-version-at-least,2,6,35,7),true)
+# Not all variants of the OMAP4 kernel have a DRM based framebuffer.
+# Note that a non-X.Org version of the driver does not have to be built
+# with DRM support if the kernel has a DRM based framebuffer.
+PVR_OMAPLFB_DRM_FB ?= 1
+ifeq ($(PVR_OMAPLFB_DRM_FB),1)
+PVR_LDM_PLATFORM_PRE_REGISTERED_DEV := "\"pvrsrvkm_pvr\""
+# There is already a "pvrsrvkm" driver (part of the DRM framebuffer code),
+# so use the pre-registered device name instead.
+PVR_LDM_DRIVER_REGISTRATION_NAME := "\"pvrsrvkm_pvr"\"
+# The DRM library will not load the Services module on behalf of the X Server,
+# as a DRM module has already been loaded (the DRM based framebuffer), so
+# load the Services module before starting the X Server.
+XORG_EXPLICIT_PVR_SERVICES_LOAD := 1
+else
+PVR_LDM_PLATFORM_PRE_REGISTERED_DEV := "\"pvrsrvkm\""
+endif
+endif
 endif
 endif
 
@@ -109,7 +143,7 @@
 
 ifeq ($(want_xorg),1)
 
-ifeq ($(OMAP_KERNEL_AT_LEAST_2_6_35),1)
+ifeq ($(call kernel-version-at-least,2,6,35),true)
 PVR_DRI_DRM_PLATFORM_DEV := 1
 else
 PVR_DRI_DRM_NOT_PCI := 1
@@ -156,6 +190,8 @@
 
 SUPPORT_MESA_SONAME ?= 1
 
+SUPPORT_MEMINFO_IDS ?= 1
+
 ifeq ($(SUPPORT_V4L2_GFX),1)
 KERNEL_COMPONENTS += v4l2-gfx
 endif

=== sgx/eurasiacon/build/linux2/omap5430_linux/Makefile ===
########################################################################### ###
#@Title         Root makefile for OMAP5430 Linux.  Builds everything else.
#@Copyright     Copyright (c) Imagination Technologies Ltd. All Rights Reserved
#@License       Dual MIT/GPLv2
# 
# The contents of this file are subject to the MIT license as set out below.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
# 
# Alternatively, the contents of this file may be used under the terms of
# the GNU General Public License Version 2 ("GPL") in which case the provisions
# of GPL are applicable instead of those above.
# 
# If you wish to allow use of your version of this file only under the terms of
# GPL, and not to allow others to use your version of this file under the terms
# of the MIT license, indicate your decision by deleting the provisions above
# and replace them with the notice and other provisions required by GPL as set
# out in the file called "GPL-COPYING" included in this distribution. If you do
# not delete the provisions above, a recipient may use your version of this file
# under the terms of either the MIT license or GPL.
# 
# This License is also included in this distribution in the file called
# "MIT-COPYING".
# 
# EXCEPT AS OTHERWISE STATED IN A NEGOTIATED AGREEMENT: (A) THE SOFTWARE IS
# PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
# BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
# PURPOSE AND NONINFRINGEMENT; AND (B) IN NO EVENT SHALL THE AUTHORS OR
# COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
# IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
# CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#   
### ###########################################################################

PVR_SYSTEM		:= omap5

KERNEL_COMPONENTS := srvkm

# Confirm kernel version with KERNELDIR if supplied, otherwise assume
# a 2.6.35+ kernel.
ifneq ($(KERNELDIR),)
include ../kernel_version.mk
OMAP_KERNEL_AT_LEAST_2_6_35 := $(shell test $(KERNEL_VERSION) -ge 3 || \
			test $(KERNEL_VERSION) -ge 2 -a \
			$(KERNEL_PATCHLEVEL) -ge 6 -a \
			$(KERNEL_SUBLEVEL) -ge 35 && echo 1 || echo 0)
else
OMAP_KERNEL_AT_LEAST_2_6_35 := 1
endif

include ../common/xorg_test.mk

ifeq ($(want_xorg),1)
SUPPORT_DRI_DRM := 1
SUPPORT_DRI_DRM_EXTERNAL := 1
SUPPORT_BC_EXAMPLE ?= 0
else
SUPPORT_BC_EXAMPLE ?= 1
endif

# Only enable active power management if passive power management is
# enabled, as indicated by LDM_PLATFORM being set to 1.  On OMAP,
# the system can suspend in the case where active power management is
# enabled in the SGX driver, but passive power management isn't. As
# passive power management isn't enabled, the driver won't see the
# system suspend/resume events, and so won't take appropriate action.
LDM_PLATFORM ?= 1

ifeq ($(LDM_PLATFORM),1)
SUPPORT_LINUX_USING_WORKQUEUES := 1
#DISPLAY_CONTROLLER_COMPONENT += dc_omapdrm_linux
#DISPLAY_CONTROLLER := omaplfb
else
SUPPORT_LINUX_USING_SHARED_WORKQUEUES := 1
OMAP_NON_FLIP_DISPLAY := 1
DISPLAY_CONTROLLER_COMPONENT += linux_framebuffer
DISPLAY_CONTROLLER := pvrlfb
endif

# When flipping is enabled, the Framebuffer API will be used to
# present the frames to the display in the 3PDD
FLIP_TECHNIQUE_FRAMEBUFFER := 1

OPTIM := -Os

SYS_CFLAGS := -march=armv7-a

ifneq ($(CROSS_COMPILE),)
SYS_CFLAGS += -mtls-dialect=arm
endif

SUPPORT_OMAP5430_NEON ?= 1

ifeq ($(SUPPORT_OMAP5430_NEON),1)
SYS_CFLAGS += -ftree-vectorize -mfpu=neon -mfloat-abi=hard
endif

PVR_NO_FULL_CACHE_OPS := 1

LIBGCC := $(shell $(CROSS_COMPILE)gcc -print-libgcc-file-name)

SGXCORE := 544
SGX_CORE_REV := 105

SGX_DYNAMIC_TIMING_INFO := 1
SYS_CUSTOM_POWERLOCK_WRAP := 1

ifeq ($(OMAP_KERNEL_AT_LEAST_2_6_35),1)
ifeq ($(LDM_PLATFORM),1)
PVR_LDM_PLATFORM_PRE_REGISTERED := 1
ifeq ($(call kernel-version-at-least,2,6,35,7),true)
# Not all variants of the OMAP5 kernel have a DRM based framebuffer.
# Note that a non-X.Org version of the driver does not have to be built
# with DRM support if the kernel has a DRM based framebuffer.
PVR_OMAPLFB_DRM_FB ?= 1
ifeq ($(PVR_OMAPLFB_DRM_FB),1)
PVR_LDM_PLATFORM_PRE_REGISTERED_DEV := "\"pvrsrvkm_pvr\""
# There is already a "pvrsrvkm" driver (part of the DRM framebuffer code),
# so use the pre-registered device name instead.
PVR_LDM_DRIVER_REGISTRATION_NAME := "\"pvrsrvkm_pvr"\"
# The DRM library will not load the Services module on behalf of the X Server,
# as a DRM module has already been loaded (the DRM based framebuffer), so
# load the Services module before starting the X Server.
XORG_EXPLICIT_PVR_SERVICES_LOAD := 1
else
PVR_LDM_PLATFORM_PRE_REGISTERED_DEV := "\"pvrsrvkm\""
endif
endif
endif
endif

BUILD_OPENCL ?= 0
ifneq ($(BUILD_OPENCL),1)
EXCLUDED_APIS += opencl
endif

ifeq ($(want_xorg),1)

ifeq ($(call kernel-version-at-least,2,6,35),true)
PVR_DRI_DRM_PLATFORM_DEV := 1
else
PVR_DRI_DRM_NOT_PCI := 1
endif

XORG_PREFIX := /usr
XORG_TOOLCHAIN := extern
# Note: Xorg N/A for OMAP5.
#XORG_PVR_CONF := omap4
#XORG_PVR_VIDEO := omap4
XF86_VIDEO ?= ti-pvr_video

OPK_DEFAULT := libpvrPVR2D_DRIWSEGL.so
OPK_FALLBACK := libpvrPVR2D_DRIWSEGL.so

ifneq ($(OMAP_NON_FLIP_DISPLAY),1)
XORG_PVR_VIDEO ?= $(PVR_SYSTEM)
PVR_DISPLAY_CONTROLLER_DRM_IOCTL := 1
endif

else  # xorg isn't excluded

ifeq ($(OMAP_NON_FLIP_DISPLAY),1)
OPK_DEFAULT := libpvrPVR2D_BLITWSEGL.so
else
OPK_DEFAULT := libpvrPVR2D_FLIPWSEGL.so
endif
OPK_FALLBACK := libpvrPVR2D_BLITWSEGL.so

endif # xorg isn't excluded

ifeq ($(SUPPORT_DRI_DRM),1)
ifeq ($(PVR_DRI_DRM_NOT_PCI),1)
KERNEL_COMPONENTS += linux_drm
EXTRA_KBUILD_SOURCE := $(KERNELDIR)
endif
EXTRA_PVRSRVKM_COMPONENTS += $(DISPLAY_CONTROLLER_COMPONENT)
else
KERNEL_COMPONENTS += $(DISPLAY_CONTROLLER_COMPONENT)
endif

SUPPORT_V4L2_GFX ?= 0

SUPPORT_MEMINFO_IDS ?= 1

SUPPORT_MESA_SONAME ?= 1

SUPPORT_MEMINFO_IDS ?= 1

ifeq ($(SUPPORT_V4L2_GFX),1)
KERNEL_COMPONENTS += v4l2-gfx
endif

ifeq ($(SUPPORT_BC_EXAMPLE),1)
KERNEL_COMPONENTS += bufferclass_example
endif

PVRSRV_MODNAME := omapdrm_pvr

PVRSRV_BUSID := platform:omapdrm:00

include ../config/core.mk
include ../common/xorg.mk
include ../common/dridrm.mk
include ../common/opencl.mk
include ../common/omap5.mk

# We only need this for pvr_video's includes, which should
# really be done differently, as DISPLAY_CONTROLLER_DIR is
# now obsolete..
#
$(eval $(call UserConfigMake,DISPLAY_CONTROLLER_DIR,3rdparty/$(DISPLAY_CONTROLLER_COMPONENT)))

=== debian/changelog ===
pvr-omap4 (1.9.0.5.1.1-0ubuntu4) quantal; urgency=low

  * debian/dkms/patches/0005-fixing-include-omapdrm-files.patch:
    - Fixing OMAP DRM include headers (still part of staging)

 -- Ricardo Salveti de Araujo <ricardo.salveti@linaro.org>  Wed, 29 Aug 2012 00:00:27 -0700

pvr-omap4 (1.9.0.5.1.1-0ubuntu3) quantal; urgency=low

  * Rename build to build-arch and make build depend on build-arch.
  * debian/control:
    - Removing dos2unix dependency, as it's not needed anymore with this
      source tree
  * debian/dkms/patches/0004-dont-need-to-run-dos2unix.patch:
    - Removing call to dos2unix, not needed with this source tree

 -- Ricardo Salveti de Araujo <ricardo.salveti@linaro.org>  Mon, 27 Aug 2012 15:50:40 -0300

pvr-omap4 (1.9.0.5.1.1-0ubuntu2) quantal; urgency=low

  * debian/rules: mkdir ld_so_conf_dir before trying to write to it

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 27 Aug 2012 10:03:50 -0600

pvr-omap4 (1.9.0.5.1.1-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Adding dependency on a fixed xorg ABI to avoid incompatibility issues in
    case the ABI is bumped on a newer xorg release (LP: #1035407)
  * Removing the auto bump ABI rule, as with a binary only driver there's not
    much we can do at the package side
  * Bump dh to compatibility level v9
  * Include Vcs-Browser/Git

 -- Ricardo Salveti de Araujo <ricardo.salveti@linaro.org>  Thu, 23 Aug 2012 14:00:04 -0300

pvr-omap4 (1.7.10.0.1.21-0ubuntu1) precise; urgency=low

  * Initial release, based on package provided at TI's release PPA
    https://launchpad.net/~tiomap-dev/+archive/release
  * FFe and needs-packaging request at (LP: #959924)

 -- Ricardo Salveti de Araujo <ricardo.salveti@linaro.org>  Mon, 26 Mar 2012 00:15:10 -0300

=== debian/control ===
Source: pvr-omap4
Section: restricted/misc
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               chrpath,
               libxext6,
               libx11-6,
               libdrm-omap1 (>= 2.4.38),
               libdri2-1,
               libpixman-1-0,
               libxfixes3 (>= 1:4.0.1),
               xserver-xorg-dev (>= 2:1.12.99.901)
Standards-Version: 3.9.3
Homepage: https://launchpad.net/~tiomap-dev/+archive/release
Vcs-Git: git://git.linaro.org/ubuntu/pvr-omap4.git
Vcs-Browser: http://git.linaro.org/gitweb?p=ubuntu/pvr-omap4.git

Package: pvr-omap4
Architecture: armhf
Depends: dkms (>= 1.95), make, coreutils (>= 8.5), grep (>= 2.6.3),
         linux-headers-omap4, xorg-video-abi-13, ${misc:Depends},
         ${shlibs:Depends}
Description: PowerVR SGX540 libraries for OMAP4, libs and drivers.
 PowerVR SGX540 Linux libraries for OMAP4.
 .
 This package provides 2D display drivers and hardware accelerated OpenGL-ES.

Package: pvr-omap4-dbg
Section: restricted/debug
Architecture: armhf
Depends: pvr-omap4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: PowerVR SGX540 libraries for OMAP4, debugging symbols
 PowerVR SGX540 Linux libraries for OMAP4.
 .
 This package provides the 2D display drivers and hardware accelerated
 OpenGL-ES debugging symbols files.

Package: pvr-omap4-dev
Architecture: armhf
Depends: pvr-omap4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: PowerVR SGX540 libraries for OMAP4, development files
 PowerVR SGX540 Linux libraries for OMAP4.
 .
 This package provides definitions for the EGL and GLES extensions.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright (C) 2002-2005 Flavio Stanchina
# Copyright (C) 2005-2006 Aric Cyr
# Copyright (C) 2007-2010 Mario Limonciello
# Copyright (C) 2009-2011 Canonical Ltd.
# Copyright (C) 2012 Linaro Ltd.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Package names
PKG_driver	:= pvr-omap4
PKG_driver_dev	:= pvr-omap4-dev
PKG_driver_dbg	:= pvr-omap4-dbg
PKG_module	:= $(shell echo "$(PKG_driver)" | sed s/\-/_/g)
PKG_version	:= $(shell dpkg-parsechangelog | awk -F' ' '/^Version:/ {print $$2}' | awk -F- '{print $$1}')
PKG_source	:= $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
PKG_module	:= $(shell echo "$(PKG_driver)" | sed s/\-/_/g)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Priority of the alternatives
alt_priority	:= 1000

# Directory naming schemes
PKG_dirname		:= $(PKG_driver)-egl
bindir			:= usr/bin
datadir			:= usr/share
PKG_datadir		:= $(datadir)/$(PKG_dirname)
libdir			:= usr/lib
dlibdir			:= usr/lib/debug
includedir		:= usr/include
sysconfdir		:= etc
PKG_libdir		:= $(libdir)/$(PKG_dirname)
PKG_dlibdir		:= $(dlibdir)/$(PKG_libdir)
xorg_libdir		:= $(libdir)/xorg
PKG_driversdir		:= $(PKG_libdir)/xorg
PKG_bindir		:= $(PKG_libdir)/bin
PKG_configdir		:= $(PKG_libdir)
PKG_includedir		:= $(PKG_libdir)/include
ld_so_conf_dir		:= $(PKG_configdir)
ld_so_conf_file		:= ld.so.conf
alt_ld_so_conf_file	:= alt_ld.so.conf
ld_so_conf_path		:= $(ld_so_conf_dir)/$(ld_so_conf_file)
alt_ld_so_conf_path	:= $(ld_so_conf_dir)/$(alt_ld_so_conf_file)
mandir			:= usr/share/man/man1
PKG_bugdir		:= usr/share/bug/$(PKG_dirname)
autostartdir		:= etc/xdg/autostart
PKG_autostartdir	:= $(PKG_configdir)
PKG_xmoddir		:= $(PKG_libdir)/xorg/modules

build: build-arch
build-arch:
	# Fill in important variables
	for i in dkms.conf \
			$(PKG_driver).dirs \
			$(PKG_driver).install \
			$(PKG_driver).postinst \
			$(PKG_driver).postrm \
			$(PKG_driver).prerm \
			$(PKG_driver_dbg).dirs \
			$(PKG_driver_dbg).install \
			$(PKG_driver_dev).dirs \
			$(PKG_driver_dev).install; do \
		sed -e "s|#PKGXMODDIR#|$(PKG_xmoddir)|g" \
                        -e "s|#LIBDIR#|$(libdir)|g" \
                        -e "s|#BINDIR#|$(bindir)|g" \
                        -e "s|#SYSCONFDIR#|$(sysconfdir)|g" \
                        -e "s|#MANDIR#|$(mandir)|g" \
                        -e "s|#LDSOCONF#|$(ld_so_conf_path)|g" \
                        -e "s|#ALTLDSOCONF#|$(alt_ld_so_conf_path)|g" \
                        -e "s|#ALTPRIORITY#|$(alt_priority)|g" \
                        -e "s|#AUTOSTARTDIR#|$(autostartdir)|g" \
                        -e "s|#DATADIR#|$(datadir)|g" \
                        -e "s|#PKGDATADIR#|$(PKG_datadir)|g" \
                        -e "s|#PKGCONFIGDIR#|$(PKG_configdir)|g" \
                        -e "s|#PKGBINDIR#|$(PKG_bindir)|g" \
                        -e "s|#PKGLIBDIR#|$(PKG_libdir)|g" \
                        -e "s|#PKGDLIBDIR#|$(PKG_dlibdir)|g" \
                        -e "s|#PKGDRIVERSDIR#|$(PKG_driversdir)|g" \
                        -e "s|#DRIVERNAME#|$(PKG_driver)|g" \
                        -e "s|#DRIVERDEVNAME#|$(PKG_driver_dev)|g" \
                        -e "s|#DRIVERSRCNAME#|$(PKG_source)|g" \
                        -e "s|#VERSION#|$(PKG_version)|g"   \
                        -e "s|#INCLUDEDIR#|$(includedir)|g" \
                        -e "s|#PKGINCLUDEDIR#|$(PKG_includedir)|g" \
                        -e "s|#PKGXMODDIR#|$(PKG_xmoddir)|g" \
                        -e "s|#SRCARCH#|$(SRC_arch)|g" \
                        -e "s|#DEB_HOST_MULTIARCH#|$(DEB_HOST_MULTIARCH)|g" \
                        debian/$$i.in > debian/$$i;      \
        done

	# file permission are a mess from orig tarball, fixing it
	find sgx -type f -exec chmod -x {} +
	chmod +x sgx/eurasiacon/build/linux2/tools/cc-check.sh

	# remove rpath from the binaries and libraries
	find usr/bin -type f -exec chrpath -d {} +
	find usr/lib -maxdepth 1 -iname "*.so*" -type f -exec chrpath -d {} +
	chrpath -d usr/lib/xorg/modules/drivers/omap_pvr_drv.so

	dh build-arch

binary-arch:
	dh_installdirs -p$(PKG_driver)
	dh_installdirs -p$(PKG_driver_dbg)
	dh_installdirs -p$(PKG_driver_dev)

	# ld.so.conf
	echo "/$(PKG_libdir)" > "$(CURDIR)/debian/$(PKG_driver)/$(ld_so_conf_path)"

	# empty ld.so.conf for the fake multi-arch alternative
	echo "" > "$(CURDIR)/debian/$(PKG_driver)/$(alt_ld_so_conf_path)"

	dh binary-arch

binary: binary-arch binary-indep;
	# Run the normal stuff
	dh binary

override_dh_shlibdeps:
	dh_shlibdeps -l$(CURDIR)/debian/$(PKG_driver)/$(PKG_libdir)

%:
	dh $@

=== debian/watch ===
version=3
http://ppa.launchpad.net/tiomap-dev/release/ubuntu/pool/main/p/pvr-omap4/pvr-omap4_(.+).orig.tar.gz
